Bug 154397 - [patch] audio/musicpd: starts before /etc/rc.d/mixer
Summary: [patch] audio/musicpd: starts before /etc/rc.d/mixer
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Baptiste Daroussin
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-01-30 19:00 UTC by David Demelier
Modified: 2011-02-02 10:40 UTC (History)
0 users

See Also:


Attachments
musicpd.diff (281 bytes, patch)
2011-01-30 19:00 UTC, David Demelier
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description David Demelier 2011-01-30 19:00:18 UTC
When rc(8) is executed, musicpd usually starts before /etc/rc.d/mixer and that's annoying because the sound can be very high so in a couple of seconds you can be surprise by the loud sound. I found this really annoying. 

I propose to start the musicpd script just after the mixer script, see the patch below.

How-To-Repeat: Install mpd, run it with the rc script, don't stop playing and reboot.
Comment 1 Edwin Groothuis freebsd_committer 2011-01-30 19:00:23 UTC
Maintainer of audio/musicpd,

Please note that PR ports/154397 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/154397

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2011-01-30 19:00:26 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Chris Rees 2011-01-31 18:07:29 UTC
Looks fine, thanks!

Chris
Comment 4 Mark Linimon freebsd_committer freebsd_triage 2011-01-31 21:16:50 UTC
State Changed
From-To: feedback->open

Maintainer approved.
Comment 5 Baptiste Daroussin freebsd_committer 2011-02-02 10:34:40 UTC
Responsible Changed
From-To: freebsd-ports-bugs->bapt

I'll take it.
Comment 6 dfilter service freebsd_committer 2011-02-02 10:38:55 UTC
bapt        2011-02-02 10:38:51 UTC

  FreeBSD ports repository

  Modified files:
    audio/musicpd/files  musicpd.in 
  Log:
  make rc script start after mixer
  
  PR:             ports/154397
  Submitted by:   David Demelier <demelier.david _at_ gmail.com>
  Approved by:    Chris Rees <utisoft _at_ gmail.com> (maintainer)
  Feature safe:   yes
  
  Revision  Changes    Path
  1.5       +1 -1      ports/audio/musicpd/files/musicpd.in
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Baptiste Daroussin freebsd_committer 2011-02-02 10:39:03 UTC
State Changed
From-To: open->closed

Committed. Thanks!